//

(function() {
        // Load plugin specific language pack
//    tinymce.PluginManager.requireLangPack('Vuact_embed');

   tinymce.create('tinymce.plugins.Vuact_embedPlugin', {
                /**
      * Initializes the plugin, this will be executed after the plugin has been created.
      * This call is done before the editor instance has finished it's initialization so use the onInit event
      * of the editor instance to intercept that event.
      *
      * @param {tinymce.Editor} ed Editor instance that the plugin is initialized in.
      * @param {string} url Absolute URL to where the plugin is located.
                */
      init : function(ed, url) {
                        // Register the command so that it can be invoked by using tinyMCE.activeEditor.execCommand('mceVuact_embed');
         ed.addCommand('mceVuact_embed', function() {
            ed.windowManager.open({
               file : ajaxurl + '?action=vuact_embed_tinymce',
               width : 460 + ed.getLang('Vuact_embed.delta_width', 0),
               height : 220 + ed.getLang('Vuact_embed.delta_height', 0),
               inline : 1
            }, {
                  plugin_url : url, // Plugin absolute URL
                  some_custom_arg : 'custom arg' // Custom argument
            });
         });


                        // Register Vuact_embed button
         ed.addButton('Vuact_embed', {
            title : 'Vuact_embed',
            cmd : 'mceVuact_embed',
            image : url + '/vuact_embed.png'
         });

                        // Add a node change handler, selects the button in the UI when a image is selected
         ed.onNodeChange.add(function(ed, cm, n) {
            cm.setActive('Vuact_embed', n.nodeName == 'IMG');
         });
      },

                /**
      * Creates control instances based on name given as a parameter. This method is normally not
      * needed since the addButton method of the tinymce.Editor class is a more easy way of adding buttons
      * but you sometimes need to create more complex controls like listboxes, split buttons etc then this
      * method can be used to create those.
      *
      * @param {String} n Name of the control to create.
      * @param {tinymce.ControlManager} cm Control manager to use inorder to create new control.
      * @return {tinymce.ui.Control} New control instance or null if no control was created.
                */
      createControl : function(n, cm) {
         return null;
      },

                /**
      * Returns information about the plugin as a name/value array.
      * The current keys are longname, author, authorurl, infourl and version.
      *
      * @return {Object} Name/value array containing information about the plugin.
                */
      getInfo : function() {
         return {
            longname : 'Vuact Embedder plugin',
            author : 'Vuact Inc.',
            authorurl : 'http://www.vuact.com',
            infourl : 'http://www.vuact.com/wordpress',
            version : "1.0"
         };
      }
   });

        // Register plugin
   tinymce.PluginManager.add('Vuact_embed', tinymce.plugins.Vuact_embedPlugin);
})();
